module TuyaCIDSL
	class DSLExecute

		attr_accessor :sh, :git, :from_git, :folder_path, :folder

		def initialize(sh)
			@sh = sh
			@git = ''
			@from_git = false
			@folder = ''
			@folder_path = ''
		end

		def execute
			if @from_git
				command_cp = "cp -a #{@folder_path} ./"
				puts "Trigger will copy shell by:#{command_cp}"
				system command_cp

				result = run_shell
				delete
			else
				result = run_shell
			end
			result
		end

		def download(git)

			@from_git = true
			git_downloader = TYCiCore::GitDownloader.new git
			@git = git
			@folder = git_downloader.folder
			git_downloader.download '.dsl'
			@folder_path = git_downloader.folder_path
		end

		private

		def run_shell
			puts "CI will execute: #{@sh}".yellow
			system @sh
			$?.exitstatus
		end

		def delete
			if @from_git
				`rm -rf #{@folder}`
			end
		end

	end
end