module TuyaCIDSL
	class TriggerTest

		def initialize()

		end

		def simulate
			puts "Start test your ci monitor files, ci-trigger will simulate ci environment.".magenta
			dsl = TuyaCIDSL::TuyaDSL.instance
			dsl.load_monitors

			# data = Hash.new
			# data[:test] = "some data"
			# dsl.insert_strategy data

			data = {"bool_key"=>{"value"=>true}, "choice_key"=>{"value"=>"option-key-001"}, "choices_key"=>{"value"=>["options-key-001", "options-key-002"]}, "string_key"=>{"value"=>"defaultstring"}}
			dsl.insert_strategy data


			options_p = {:branch=>"develop_3.8.0", :dependBranch=>"master", :updateComponents=>"[{\"id\":509,\"name\":\"TYUIKit\",\"branch\":\"develop\",\"version\":\"0.1.4-rc.1\"},{\"id\":500,\"name\":\"TYBusinessLibrary\",\"branch\":\"master\",\"version\":\"6.4.2-rc.3\"}]", :deleteComponents=>"[{\"id\":683,\"name\":\"TYSmartApplicationImpl\",\"branch\":\"develop\",\"version\":\"\"}]", :advanceFields=>"{}", :isIntegrate=>"0", :hashKey=>"48a62cb2cf577a0de28f60d561e8adb2", :buildId=>"146", :jobName=>"TuyaSmartV3.8.0_90"}
			options_m = {:repo=>"TYSpecs", :branch=>"develop", :project=>"TestDemo", :version=>"10.4.1-rc.4", :hashKey=>"66f6f34a45ae9f71c77836069cd758ea", :buildId=>"12", :moduleName=>"TestDemo", :type=>"1"}
			options_sdk = {:repo=>"TYSpecs", :branch=>"develop", :project=>"TestDemo", :version=>"10.4.1-rc.4", :hashKey=>"66f6f34a45ae9f71c77836069cd758ea", :buildId=>"12", :moduleName=>"TestDemo", :type=>"3"}

			dsl.trigger_module_begin options_m
			dsl.trigger_module_end options_m
			dsl.trigger_sdk_begin options_sdk
			dsl.trigger_sdk_end options_sdk
			dsl.trigger_project_begin options_p
			dsl.trigger_project_pod_update_end options_p
			dsl.trigger_project_end options_p

		end

	end
end